<?php

namespace Pinpoint\RedirectManager\Block\Adminhtml\Redirects\Edit;

use Magento\Framework\View\Element\Template;

/**
 * Class DataProvider
 * @package Pinpoint\RedirectManager\Block\Adminhtml\Redirects\Edit
 */
class DataProvider extends Template
{
    /**
     * @var \Pinpoint\RedirectManager\Model\NotFound
     */
    protected $notFound;

    /**
     * @var \Magento\Framework\Data\Form\FormKey
     */
    protected $formKey;

    /**
     * DataProvider constructor.
     * @param Template\Context $context
     * @param \Pinpoint\RedirectManager\Model\NotFound $notFound
     * @param \Magento\Framework\Data\Form\FormKey $formKey
     * @param array $data
     */
    public function __construct(
        Template\Context $context,
        \Pinpoint\RedirectManager\Model\NotFound $notFound,
        \Magento\Framework\Data\Form\FormKey $formKey,
        array $data = []
    ) {
        $this->notFound = $notFound;
        $this->formKey = $formKey;
        parent::__construct($context, $data);
    }

    /**
     * @return mixed
     */
    public function getRequestPath()
    {
        $redirect = $this->notFound->load($this->_request->getParam('notfound_id'));
        return $redirect->getData('requested_path');
    }

    /**
     * @return string
     */
    public function getFormKey()
    {
        return $this->formKey->getFormKey();
    }
}